from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XNamed

@runtime_checkable
class XStyle(XNamed, Protocol):
    def isUserDefined(self) -> bool: ...
    def isInUse(self) -> bool: ...
    def getParentStyle(self) -> str: ...
